#!/bin/bash

cd $(dirname $(realpath -s ${0}))

image=${1}
resolutions=${2}
default_resolution=${3}
quality=${4}
thumb_quality=${5}
thumb_format=${6}

for resolution in ${resolutions}; do
  ./generate_resolution ${image} ${resolution} ${quality}
done
./generate_thumb ${image} ${default_resolution} ${thumb_quality} ${thumb_format}